org.apache.poi.ooxml.extractor

## Class POIXMLPropertiesTextExtractor

- java.lang.Object
- - org.apache.poi.extractor.POITextExtractor
  - - org.apache.poi.ooxml.extractor.POIXMLTextExtractor
    - - org.apache.poi.ooxml.extractor.POIXMLPropertiesTextExtractor

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class POIXMLPropertiesTextExtractor
      extends POIXMLTextExtractor

  A `POITextExtractor` for returning the textual content of the OOXML file properties, eg author and title.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `POIXMLPropertiesTextExtractor(POIXMLDocument doc)` Creates a new POIXMLPropertiesTextExtractor for the given open document.
    `POIXMLPropertiesTextExtractor(POIXMLTextExtractor otherExtractor)` Creates a new POIXMLPropertiesTextExtractor, for the same file that another TextExtractor is already working on.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCorePropertiesText()` Returns the core document properties, eg author
    `java.lang.String` | `getCustomPropertiesText()` Returns the custom document properties, if there are any
    `java.lang.String` | `getExtendedPropertiesText()` Returns the extended document properties, eg application
    `POIXMLPropertiesTextExtractor` | `getMetadataTextExtractor()` Returns an OOXML properties text extractor for the document properties metadata, such as title and author.
    `java.lang.String` | `getText()` Retrieves all the text from the document.

    - ### Methods inherited from class org.apache.poi.ooxml.extractor.POIXMLTextExtractor

      `checkMaxTextSize, close, getCoreProperties, getCustomProperties, getDocument, getExtendedProperties, getPackage`

    - ### Methods inherited from class org.apache.poi.extractor.POITextExtractor

      `setFilesystem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### POIXMLPropertiesTextExtractor

          public POIXMLPropertiesTextExtractor(POIXMLDocument doc)

      Creates a new POIXMLPropertiesTextExtractor for the given open document.
      Parameters:
        `doc` - the given open document

    - #### POIXMLPropertiesTextExtractor

          public POIXMLPropertiesTextExtractor(POIXMLTextExtractor otherExtractor)

      Creates a new POIXMLPropertiesTextExtractor, for the same file that another TextExtractor is already working on.
      Parameters:
        `otherExtractor` - the extractor referencing the given file

  - ### Method Detail

    - #### getCorePropertiesText

          public java.lang.String getCorePropertiesText()

      Returns the core document properties, eg author
      Returns:
        the core document properties

    - #### getExtendedPropertiesText

          public java.lang.String getExtendedPropertiesText()

      Returns the extended document properties, eg application
      Returns:
        the extended document properties

    - #### getCustomPropertiesText

          public java.lang.String getCustomPropertiesText()

      Returns the custom document properties, if there are any
      Returns:
        the custom document properties

    - #### getText

          public java.lang.String getText()

      Description copied from class: `POITextExtractor`
      Retrieves all the text from the document. How cells, paragraphs etc are separated in the text is implementation specific - see the javadocs for a specific project for details.
      Specified by:
        `getText` in class `POITextExtractor`
      Returns:
        All the text from the document

    - #### getMetadataTextExtractor

          public POIXMLPropertiesTextExtractor getMetadataTextExtractor()

      Description copied from class: `POIXMLTextExtractor`
      Returns an OOXML properties text extractor for the document properties metadata, such as title and author.
      Overrides:
        `getMetadataTextExtractor` in class `POIXMLTextExtractor`
      Returns:
        the metadata and text extractor

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.